Skip to main content
GET
cURL

Authorizations

X-API-Key
string
header
required

Customer API key created in the Sendora dashboard.

Headers

X-API-Key
string | null
Authorization
string | null

Query Parameters

id
string | null

Return this one lead, with its tags, instead of a list.

view
enum<string>
default:leads

leads is the list (the default). tags returns the tags in use. export returns leads as CSV text (one lead list with lead_list_id, up to 500 leads inline).

Available options:
leads,
tags,
export
include
string | null

Comma separated extras for a single lead: activities, and its context: ai_state, outreach_state (which channels are on), callbacks, campaigns, recordings.

activities_limit
integer
default:200

With include=activities: events to return, newest first.

Required range: 1 <= x <= 500
activities_before
string | null

With include=activities: only events older than this time. Use activities_next_cursor from the previous page.

lead_list_id
string | null

Only leads in this lead list.

campaign_id
string | null

The campaign's id: the id from List or get campaigns. It is also the last part of that page's address in the app. Only leads enrolled in this campaign.

search
string | null

Search by name, email, or company.

pipeline_stage
string | null

new, contacted, engaged, meeting_booked, meeting_scheduled, proposal_sent, closed_won or closed_lost.

status
string | null

active, unsubscribed, bounced or dnc.

page
integer
default:1
Required range: x >= 1
per_page
integer
default:50
Required range: 1 <= x <= 200

Response

Successful Response

items
LeadOut · object[]
required

Items returned by the Sendora API.

page
integer
required

Page returned by the Sendora API.

per_page
integer
required

Per page returned by the Sendora API.

total
integer
required

Total returned by the Sendora API.